<template>
	<s-layout
	  title="任务执行"
	  navbar="inner"
		:bgStyle="state.page"
		:navbarStyle="state.navigationBar"
		showBackButton
	>
	<view class="test_tips">
		“是否满意本次对话内容？”
	</view>
	<view class="group_btn">
		<view class="submit_btn" @tap="submitForm">满意，开始执行任务</view>
		<view class="err_btn" @tap="toSelectReason">不满意</view>
	</view>
	</s-layout>
</template>

<script setup>
	import { reactive, computed } from 'vue'
	import { onLoad } from '@dcloudio/uni-app'
	import taskApi from '@/common/api/member/task'
	import sheep from '@/common'
	const state = reactive({
		navigationBar: {},
		page: {
			backgroundColor: '#FFFFFF',
			backgroundImage: '/static/homeTopBg.png'
		},
	})
	const taskFormInfo = computed(() => sheep.$store('task').taskFormInfo)
	onLoad((options) => {
	  
	})
	async function submitForm(){
		const { code, data } = await taskApi.addTask({
			...taskFormInfo.value,
			planTime: taskFormInfo.value.planTime+':00'
		})
		if (code === 1) {
			sheep.$store('task').resetTaskData()
			sheep.$router.go('/pages/index/index')
		}
	}
	function toSelectReason(){
		sheep.$router.go('/pages/task/selectReason')
	}
</script>

<style lang="scss" scoped>
	.test_tips{
		font-weight: 400;
		font-size: 32rpx;
		color: #222222;
		line-height: 80rpx;
		text-align: center;
		padding-top: 344rpx;
	}
	.group_btn{
		position: fixed;
		left: calc(50%);
		transform: translateX(-50%);
		bottom: 40rpx;
	}
	.submit_btn{
		width: 630rpx;
		height: 104rpx;
		line-height: 104rpx;
		background: #35E89A;
		border-radius: 40rpx;
		font-weight: bold;
		font-size: 32rpx;
		color: #222222;
		text-align: center;
		margin-bottom: 30rpx;
	}
	.err_btn{
		width: 630rpx;
		height: 104rpx;
		background: #FF4E4E;
		border-radius: 40rpx;
		font-weight: bold;
		font-size: 32rpx;
		color: #FFFFFF;
		text-align: center;
		line-height: 104rpx;
	}
</style>